Wikistats 2.0 Bug at swwiki
Closed, DuplicatePublic

Description

Wikistats 2.0 gives strange numbers at swwiki. Ich check Topiews nearly daily at
https://tools.wmflabs.org/topviews/?project=sw.wikipedia.org&platform=all-access&date=last-month&excludes=

No reflection of figures shown at
https://stats.wikimedia.org/v2/#/sw.wikipedia.org/reading/top-viewed-articles.

Looks like 2 different wikipedias.

Kipala created this task.Dec 14 2017, 11:15 AM
Restricted Application added subscribers: MusikAnimal, Aklapper. · View Herald TranscriptDec 14 2017, 11:15 AM

Thanks @Kipala :), good catch ! Seems related to dates of the data. In Wikistats 2 data is pulled from 2015-10. The time selector at the back doesn't avtually means anything for that specific page ...

Ok, that is the reason. Is that for all numbers? (a history page 0.2 instead of 2.0?)

a history page 0.2 instead of 2.0?

I don't understand this bit ...
The time selector works well on any other page (with charts). The "top" page is special in that it doesn't show time, just a list - I assume this is why.
You can hwever trust other charts :)

The bug is like this:

All the charts use a time *range* like "from 2015 until 2017". So the time selector works fine for those
Ranked lists use a *single* date like "2017". In this case, the time selector should look different and act different, but the way it is, it's just passing the *START* of the range, which is wrong.

Kipala added a comment.EditedDec 14 2017, 4:57 PM

I do not think it adds up 2015 - 2017.
I pick a few lemmata fom 1Oct 2015 to today

OLD TOOL: https://tools.wmflabs.org/pageviews/?project=sw.wikipedia.org&platform=all-access&agent=user&start=2015-10-01&end=2017-12-01&pages=John_Magufuli|Laozi|Robert_Ouko

2015-10-01 - 2017-12-01 sw.wikipedia.org
John Magufuli 41.173
Edward Ngoyai Lowassa 30.466
Robert Ouko 17.983
Laozi 775

NEW TOOL: https://stats.wikimedia.org/v2/#/sw.wikipedia.org/reading/top-viewed-articles
16,227 Laotze
13,040 Edward Ngoyai Lowassa
5,660 Robert Ouko
4,704 John Magufuli

So where do the numbers for "Laotze" (=Laozi) come from? If it was not a bunch of automatic scripts in 2015 - that figure looks impossible on this wikipedia.
tools.wmflabs.org/pageviews/ number looks realistic to me, for Laozi and for the other topics.

And Laotze is just a redirect for the article "Laozi".

This comment was removed by Kipala.

This has been fixed and deployed, I'll merge it into the task that fixed it.